## org.gnu.gtk
Class Visibility

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.Visibility

public class Visibility
extends Enum

Field Summary
`static Visibility` `FULL`
`static Visibility` `NONE`
`static Visibility` `PARTIAL`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Visibility` `and(Visibility other)`
`static Visibility` `intern(int value)`
`Visibility` `or(Visibility other)`
`boolean` `test(Visibility other)`
`Visibility` `xor(Visibility other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final Visibility NONE

### PARTIAL

    public static final Visibility PARTIAL

### FULL

    public static final Visibility FULL

Method Detail

### intern

    public static Visibility intern(int value)

### or

    public Visibility or(Visibility other)

### and

    public Visibility and(Visibility other)

### xor

    public Visibility xor(Visibility other)

### test

    public boolean test(Visibility other)